# Class AbstractDesktopController

Desktop application abstract controller.

This file includes `import`'s for desktop components/directives used by the HTML page and the controller to provide the configuration.

#### Hierarchy

- unknown
  - AbstractDesktopController

- Defined in src/controllers/AbstractDesktopController.js:66

#####
Index

### Constructors

constructor

### Properties

contextdataActive
dataPanelActive
drawFeatureActive
drawLidarprofilePanelActive
drawProfilePanelActive
editFeatureActivate
editFeatureActive
editFeatureVectorLayer
filterSelectorActive
gmfDataSourceBeingFiltered
gmfLayerBeingSwipe
googleStreetViewActive
importDataSourceActive
loginActive
mapillaryStreetViewActive
modalShareShown
ngeoToolActivateMgr
postLoading
printActive
printPanelActive
profileLine
queryAutoClear
queryGrid
queryGridActive
queryPanelActive
routingPanelActive
streetViewStyle
toolsActive

## Constructors

### constructor

- new AbstractDesktopController($scope, $injector): AbstractDesktopController

- #### Parameters

  - $scope: IScope

    Scope.

  - $injector: IInjectorService

    Main injector.

  #### Returns AbstractDesktopController

  #### Ng Inject

  Overrides AbstractAPIController.constructor

  - Defined in src/controllers/AbstractDesktopController.js:72

## Properties

### contextdataActive

contextdataActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:143

### dataPanelActive

dataPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:90
- Defined in src/controllers/AbstractDesktopController.js:413

### drawFeatureActive

drawFeatureActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:158
- Defined in src/controllers/AbstractDesktopController.js:175
- Defined in src/controllers/AbstractDesktopController.js:500

### drawLidarprofilePanelActive

drawLidarprofilePanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:508

### drawProfilePanelActive

drawProfilePanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:163
- Defined in src/controllers/AbstractDesktopController.js:176
- Defined in src/controllers/AbstractDesktopController.js:503

### editFeatureActivate

editFeatureActivate: boolean

- Defined in src/controllers/AbstractDesktopController.js:178

### editFeatureActive

editFeatureActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:110
- Defined in src/controllers/AbstractDesktopController.js:502

### editFeatureVectorLayer

editFeatureVectorLayer: VectorLayer<VectorSource<Geometry>>

- Defined in src/controllers/AbstractDesktopController.js:274

### filterSelectorActive

filterSelectorActive: boolean

#### Export

- Defined in src/controllers/AbstractDesktopController.js:131
- Defined in src/controllers/AbstractDesktopController.js:501

### gmfDataSourceBeingFiltered

gmfDataSourceBeingFiltered: any

- Defined in src/controllers/AbstractDesktopController.js:295

### gmfLayerBeingSwipe

gmfLayerBeingSwipe: any

The gmf layer being swipe.

- Defined in src/controllers/AbstractDesktopController.js:302

### googleStreetViewActive

googleStreetViewActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:120
- Defined in src/controllers/AbstractDesktopController.js:179
- Defined in src/controllers/AbstractDesktopController.js:504

### importDataSourceActive

importDataSourceActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:243
- Defined in src/controllers/AbstractDesktopController.js:507

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:95
- Defined in src/controllers/AbstractDesktopController.js:343
- Defined in src/controllers/AbstractDesktopController.js:497

### mapillaryStreetViewActive

mapillaryStreetViewActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:125
- Defined in src/controllers/AbstractDesktopController.js:180
- Defined in src/controllers/AbstractDesktopController.js:505

### modalShareShown

modalShareShown: boolean

- Defined in src/controllers/AbstractDesktopController.js:105

### ngeoToolActivateMgr

ngeoToolActivateMgr: ToolActivateMgr

The ngeo ToolActivate manager service.

- Defined in src/controllers/AbstractDesktopController.js:290

### postLoading

postLoading: boolean

- Defined in src/controllers/AbstractDesktopController.js:339
- Defined in src/controllers/AbstractDesktopController.js:341

### printActive

printActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:153
- Defined in src/controllers/AbstractDesktopController.js:209
- Defined in src/controllers/AbstractDesktopController.js:498

### printPanelActive

printPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:148
- Defined in src/controllers/AbstractDesktopController.js:174
- Defined in src/controllers/AbstractDesktopController.js:499

### profileLine

profileLine: LineString

- Defined in src/controllers/AbstractDesktopController.js:331

### queryAutoClear

queryAutoClear: boolean

Set the clearing of the ngeoQuery after the deactivation of the query

- Defined in src/controllers/AbstractDesktopController.js:138
- Defined in src/controllers/AbstractDesktopController.js:208

### queryGrid

queryGrid: boolean

- Defined in src/controllers/AbstractDesktopController.js:78
- Defined in src/controllers/AbstractDesktopController.js:248

### queryGridActive

queryGridActive: boolean

To toggle the activation query grid in the HTML, shouldn't be touch (it's managed by angular).

- Defined in src/controllers/AbstractDesktopController.js:85

### queryPanelActive

queryPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:115
- Defined in src/controllers/AbstractDesktopController.js:506

### routingPanelActive

routingPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:168
- Defined in src/controllers/AbstractDesktopController.js:177

### streetViewStyle

streetViewStyle: Style

- Defined in src/controllers/AbstractDesktopController.js:230

### toolsActive

toolsActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:100
- Defined in src/controllers/AbstractDesktopController.js:496

Generated using TypeDoc